<!-- Page Heading -->
<div class="row mar-20">
    <div class="col-lg-8">
        <h1><a ui-sref="dashboard.hospitals"> Hospitals </a> /  <small> {{  method }} hospital</small></h1>
    </div>

</div>
<!-- /.row -->


<form name="hospitalForm" role="form" >
<div class="row">
    <div class="col-lg-4">
        <!--
        <header class="panel-heading font-bold">
          <h4> {{ hospital.name }}</h4>
        </header> !-->

        
        <header class="panel-heading font-bold">
              <h4>Hospital info</h4>
        </header>    
      <section class="panel panel-default">

        <div class="panel-body">

            <div class="form-group">
                <label>Hospital Name *</label>
                <input class="form-control" ng-model="hospital.name" placeholder="Enter hospital name" required="">
            </div>
            <div class="form-group">
                <label>Hospital Type *</label>
                <select class="form-control" ng-model="hospital.hospital_type" required="">
                    <option>Select hospital type</option>
                    <option value="0" ng-selected="hospital.hospital_type==0" >Primary</option>
                    <option value="1" ng-selected="hospital.hospital_type==1" >Secondary</option>
                    <option value="2" ng-selected="hospital.hospital_type==2" >Tertiary</option>
                    <option value="3" ng-selected="hospital.hospital_type==3" >Diagnostic</option>
                    <option value="4" ng-selected="hospital.hospital_type==4" >Community health clinic</option>
                </select>
            </div>

            <div class="form-group">
                <label for="">Logo</label>
                <div class="block">
                    <span class="btn btn-lg btn-success  btn-file" ng-hide="hospital.logo">
                        <i class="fa fa-upload fa-plus-padd"></i>Upload
                        <input type="file"  nv-file-select="" options="{{ logo_uploader_options }}" uploader="logo_uploader"  >
                    </span>
                    <a ng-show="hospital.logo" ng-click="hospital.logo=''" class="btn btn-lg btn-danger"> <i class="fa fa-trash-o"></i>  Remove </a>

                    <div class="pull-right progress ah-progress-bar" ng-show="logo_uploader.isUploading"  >
                        <div  class="progress-bar progress-bar-success" role="progressbar" ng-style="{ 'width': logo_uploader.progress + '%' }"> {{ logo_uploader.progress }} %</div>
                    </div>
                </div>
                <br/>
                <img width="200px" ng-show="hospital.logo" src="{{ hospital.logo_file | AppStorage }}">
            </div>

            
            <div class="form-group">
                <label>Address *</label>
                <textarea class="form-control" ng-model="hospital.address" placeholder="Enter hospital address " required=""></textarea>
            </div>

            <div class="form-group">
                <label>Phone *</label>
                <input type="text" class="form-control" ng-model="hospital.phone" placeholder="Enter hospital phone number" required="">
            </div>

            <div class="form-group">
                <label>General Email *</label>
                <input type="email" class="form-control" ng-model="hospital.general_email" placeholder="Enter hospital general email" required=""  ng-pattern="validEmail">
            </div>

            <div class="form-group">
                <label>City *</label>
                <input class="form-control" ng-model="hospital.city" placeholder="Enter hospital city name" required="">
            </div>

            <div class="form-group">
                <label>Country *</label>
                <select ng-model="hospital.country" class="form-control" required="">
                    <option value="{{ key }}" ng-repeat="(key, value) in countries">{{ value }}</option>
                </select>
            </div>

            <div class="form-group">
                <label>Contact Name</label>
                <input class="form-control" ng-model="hospital.primary_name" placeholder="Enter hospital contact name">
            </div>

            <div class="form-group">
                <label>Contact Email</label>
                <input type="email" class="form-control" ng-model="hospital.primary_email" placeholder="Enter hospital contact email address"  ng-pattern="validEmail">
            </div>

            <div class="form-group">
                <label>Contact Physician</label>
                <input class="form-control" ng-model="hospital.primary_physician_contact" placeholder="Enter hospital physician name">
            </div>


            
            <!--
            <button  class="btn btn-default btn-lg"><i class="fa fa-times"></i>  Cancel</button>
            <button  class="btn btn-danger btn-lg"><i class="fa fa-trash-o"></i>  Delete</button>
            !-->

        
        </div>
       </section>
    </div>

    <div class="col-lg-4" >

        <header class="panel-heading font-bold">
              <h4>Hospital login</h4>
        </header>
      <section class="panel panel-default">

        <div class="panel-body">
            <!--
            <div class="form-group">
                <label>Super User *</label>
                <select class="form-control" ng-model="hospital.user" required="">
                    <option>Select User</option>
                    <option ng-repeat="user in users" value="{{ user.id }}" ng-selected="user.id==hospital.user">{{ user.username }}</option>
                </select>
            </div> !-->

            <div class="form-group">
                <label>First name *</label>
                <input class="form-control" ng-model="hospital.user.first_name" placeholder="Enter First name" required="">
            </div>

            <div class="form-group">
                <label>Last name *</label>
                <input class="form-control" ng-model="hospital.user.last_name" placeholder="Enter Last name" required="">
            </div>

            <div class="form-group">
                <label>Email *</label>
                <input type="email" ng-blur="checkEmail()" class="form-control" ng-model="hospital.user.email" placeholder="Enter  email" required="" ng-pattern="validEmail" >
            </div>
            <div class="form-group" ng-if="method=='Add'">
                <label>Password *</label>
                <input type="password" class="form-control" ng-model="hospital.user.password" placeholder="Enter  password" required="">
            </div>
            <div class="form-group" ng-if="method=='Edit'">
                <label>Password reset</label>
                <input type="password" class="form-control" ng-model="hospital.user.password" placeholder="Enter password to reset" >
            </div>
            <div class="form-group">
                <label>Email access info :</label>
                <checkbox
                    ng-model="hospital.sendEmail"
                    name="custom-name"  
                    ng-true-value="true"
                    ng-false-value="false" >
                </checkbox>
                
            </div>

        </div>
      </section>

      <div ng-show="hospital.doctors.length">
        <header class="panel-heading font-bold">
            <h4> Doctors </h4>
        </header>
        <section class="panel panel-default">
        <div class="panel-body">
            <section class="panel panel-info portlet-item">
                <div class="list-group bg-white">
                    <a ng-repeat="doctor in hospital.doctors" class="list-group-item" href="#/doctor/{{ doctor.guid }}" >
                        <i class="fa fa-fw fa-stethoscope"></i> {{ doctor.name }}
                    </a>
                </div>
            </section>
        </div>
        </section>
       </div> 
    </div>
</div>

<a ng-click="saveHospital()" ng-disabled="!hospitalForm.$valid" type="submit" class="btn btn-info btn-lg"><i class="fa fa-save"></i>  Save</a>
<a ui-sref="dashboard.hospitals"  class="btn btn-warning btn-lg"><i class="fa fa-times"></i>  Cancel</a>
</form>